Bug 201755 - colorscheme: broken FE4->FE5 upgrade path
colorscheme: broken FE4->FE5 upgrade path
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: colorscheme (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-08 14:33 EDT by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-09 04:20:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2006-08-08 14:33:29 EDT
colorscheme: gauret AT free.fr
  4: 0:0.3-4.fc4 (FE4)
  5: 0:0.3-3.fc5 (FE5)
  6: 0:0.3.91-2.fc6 (FE6)

https://www.redhat.com/archives/fedora-extras-list/2006-May/msg00083.html
Comment 1 Aurelien Bompard 2006-08-08 18:35:18 EDT
colorscheme has been renamed to agave. The new package Obsoletes and Provides
the old one, as required by the NamingGuidelines
Comment 2 Ville Skyttä 2006-08-08 19:08:12 EDT
There are no agave packages in any FE repository.
Comment 3 Aurelien Bompard 2006-08-09 04:20:35 EDT
Ah, true, the renaming operation spanned over my vacations, and thus was
incomplete...
Built for devel and FC5, thanks for the notice.
Comment 4 Ville Skyttä 2006-08-09 11:11:18 EDT
The removal requests for colorscheme in FC5 and devel still need to be added to
the FC5Status and FC6Status pages in Wiki.
Comment 5 Aurelien Bompard 2006-08-09 12:20:57 EDT
Right. This should be added to the wiki (but Packaging/NamingGuidelines is
immutable)
Done.
Comment 6 Ville Skyttä 2006-08-09 14:32:35 EDT
It's intentionally immutable, Packaging/* is the area of the packaging
committee.  Anyway, I added a renaming/eol'ing item to
http://fedoraproject.org/wiki/Packaging/GuidelinesTodo

In my opinion (not an official policy at least yet) things still to do here include:

- When the agave package enters the FC5 repo, do the dead.package stuff to
  colorscheme's FC5 CVS branch too
- Include info exactly what has happened to the package in all dead.package
  files (renamed to / superseded by agave)
- Provides: colorscheme is currently incorrect, agave is not compatible with
  the old colorscheme package.  Eg. there's no /usr/bin/colorscheme in agave.

Note You need to log in before you can comment on or make changes to this bug.